
Foreman - Bug #13866

jwt 1.5.3 breaks Ruby 1.9.3 tests

02/24/2016 04:30 AM - Dominic Cleal

Status: Closed   

Priority: High   

Assignee: Dominic Cleal   

Category: Tests   

Target version: 1.10.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3224

  

Description

Tests are failing on Ruby 1.9.3 since the release of jwt 1.5.3:

+ bundle exec rake db:drop db:create db:migrate

rake aborted!

SyntaxError: /usr/local/rvm/gems/ruby-1.9.3-p392@test_develop-3/gems/jwt-1.5.3/lib/jwt/verify.rb:7

: unknown type of %string

      %i[verify_aud verify_expiration ...

 http://ci.theforeman.org/job/test_develop/1859/

Related issues:

Related to Foreman - Refactor #8884: Drop Ruby 1.9.3 support Closed 01/09/2015

Associated revisions

Revision 4c3f0710 - 02/24/2016 06:37 AM - Dominic Cleal

fixes #13866 - pin jwt for Ruby 1.9.3 compatibility

Revision bfb6d6aa - 02/24/2016 12:34 PM - Dominic Cleal

fixes #13866 - pin jwt for Ruby 1.9.3 compatibility

(cherry picked from commit 4c3f07102fa5e1ed0e3c2f146de0982c6552b58b)

Revision 4df35a11 - 03/24/2016 02:45 PM - Dominic Cleal

fixes #13866 - pin jwt for Ruby 1.9.3 compatibility

(cherry picked from commit 4c3f07102fa5e1ed0e3c2f146de0982c6552b58b)

Revision 275f2f57 - 03/24/2016 02:45 PM - Dominic Cleal

fixes #13866 - pin jwt for Ruby 1.9.3 compatibility

(cherry picked from commit 4c3f07102fa5e1ed0e3c2f146de0982c6552b58b)

Revision 1ceda2e5 - 03/29/2016 02:22 PM - Dominic Cleal

fixes #13866 - pin jwt for Ruby 1.9.3 compatibility

(cherry picked from commit 4c3f07102fa5e1ed0e3c2f146de0982c6552b58b)

History

#1 - 02/24/2016 04:37 AM - Dominic Cleal

- Subject changed from jwt 0.5.3 breaks Ruby 1.9.3 tests to jwt 1.5.3 breaks Ruby 1.9.3 tests

- Description updated
#2 - 02/24/2016 04:38 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3224 added

#3 - 02/24/2016 05:56 AM - Dominic Cleal

- Related to Refactor #8884: Drop Ruby 1.9.3 support added

#4 - 02/24/2016 07:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4c3f07102fa5e1ed0e3c2f146de0982c6552b58b.
